#define noPinDefs
#include <plcLib.h>

// Target System = Arduino Uno (Grove Shield)

// Digital inputs
const int X0 = 7;
const int X1 = 8;
const int X2 = A2;
const int X3 = A3;

//Analogue inputs (ADC)
const int AD0 = A0;
const int AD1 = A1;

// Digital outputs
const int Y0 = 3;
const int Y1 = 4;
const int Y2 = 5;
const int Y3 = 6;

void customIO() {

  pinMode(Y0, OUTPUT);
  pinMode(Y1, OUTPUT);
  pinMode(Y2, OUTPUT);
  pinMode(Y3, OUTPUT);

  pinMode(X0, INPUT);
  pinMode(X1, INPUT);
  pinMode(X2, INPUT);
  pinMode(X3, INPUT);

}
// Bare Minimum - Single bit digital input and output

void setup() {
 customIO();
}

void loop() {
  din(X0);      // Read digital input X0
  dout(Y0);     // Send to digital output Y0
}

